<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.3) on Sun May 26 21:48:59 CEST 2019 -->
<title>CustomColor</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CustomColor";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.david.geo.style</a></div>
<h2 title="Class CustomColor" class="title">Class CustomColor</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Color</li>
<li>
<ul class="inheritance">
<li>org.david.geo.style.CustomColor</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.awt.Paint</code>, <code>java.awt.Transparency</code>, <code>java.io.Serializable</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">CustomColor</span>
extends java.awt.Color</pre>
<div class="block">This class provide all the attributes and methods
 from <code>java.awt.Color</code> and add a new attributes "isNone" to indicate
 whether the Color is defnied or not in the <code>IsvgParser</code>.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../serialized-form.html#org.david.geo.style.CustomColor">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#black">black</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor black.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#BLACK">BLACK</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor black.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#blue">blue</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor blue.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#BLUE">BLUE</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor blue.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cyan">cyan</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor cyan.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CYAN">CYAN</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor cyan.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#DARK_GRAY">DARK_GRAY</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor dark gray.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#darkGray">darkGray</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor dark gray.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#gray">gray</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor gray.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#GRAY">GRAY</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor gray.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#green">green</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor green.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#GREEN">GREEN</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor green.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#LIGHT_GRAY">LIGHT_GRAY</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor light gray.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#lightGray">lightGray</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor light gray.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#magenta">magenta</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor magenta.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MAGENTA">MAGENTA</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor magenta.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orange">orange</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor orange.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ORANGE">ORANGE</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor orange.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#pink">pink</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor pink.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#PINK">PINK</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor pink.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#red">red</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor red.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RED">RED</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor red.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#white">white</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor white.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#WHITE">WHITE</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor white.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#yellow">yellow</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor yellow.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#YELLOW">YELLOW</a></span></code></th>
<td class="colLast">
<div class="block">The CustomColor yellow.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.java.awt.Transparency">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.Transparency</h3>
<code>BITMASK, OPAQUE, TRANSLUCENT</code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(boolean)">CustomColor</a></span>&#8203;(boolean&nbsp;none)</code></th>
<td class="colLast">
<div class="block">Create a Custom color from boolean.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int,int,int)">CustomColor</a></span>&#8203;(int&nbsp;r,
           int&nbsp;g,
           int&nbsp;b)</code></th>
<td class="colLast">
<div class="block">Create a Custom color.</div>
</td>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int,int,int,boolean)">CustomColor</a></span>&#8203;(int&nbsp;r,
           int&nbsp;g,
           int&nbsp;b,
           boolean&nbsp;n)</code></th>
<td class="colLast">
<div class="block">Create a Custom color with isNone.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#decode(java.lang.String)">decode</a></span>&#8203;(java.lang.String&nbsp;nm)</code></th>
<td class="colLast">
<div class="block">decode a CustomColor from a Hexadecimal String</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#equals(java.lang.Object)">equals</a></span>&#8203;(java.lang.Object&nbsp;obj)</code></th>
<td class="colLast">
<div class="block">compare two CustomColor.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#hashCode()">hashCode</a></span>()</code></th>
<td class="colLast">
<div class="block">return hashcode of CustomColor.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isNone()">isNone</a></span>()</code></th>
<td class="colLast">
<div class="block">check whether the color is none or not.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setNone(boolean)">setNone</a></span>&#8203;(boolean&nbsp;none)</code></th>
<td class="colLast">
<div class="block">set the new value of isNone.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.awt.Color">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Color</h3>
<code>brighter, createContext, darker, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getColorComponents, getColorSpace, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGB, getRGBColorComponents, getRGBComponents, getTransparency, HSBtoRGB, RGBtoHSB, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="white">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>white</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> white</pre>
<div class="block">The CustomColor white.  In the default sRGB space.</div>
</li>
</ul>
<a id="WHITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WHITE</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> WHITE</pre>
<div class="block">The CustomColor white.  In the default sRGB space.</div>
</li>
</ul>
<a id="lightGray">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lightGray</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> lightGray</pre>
<div class="block">The CustomColor light gray.  In the default sRGB space.</div>
</li>
</ul>
<a id="LIGHT_GRAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LIGHT_GRAY</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> LIGHT_GRAY</pre>
<div class="block">The CustomColor light gray.  In the default sRGB space.</div>
</li>
</ul>
<a id="gray">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gray</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> gray</pre>
<div class="block">The CustomColor gray.  In the default sRGB space.</div>
</li>
</ul>
<a id="GRAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GRAY</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> GRAY</pre>
<div class="block">The CustomColor gray.  In the default sRGB space.</div>
</li>
</ul>
<a id="darkGray">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>darkGray</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> darkGray</pre>
<div class="block">The CustomColor dark gray.  In the default sRGB space.</div>
</li>
</ul>
<a id="DARK_GRAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DARK_GRAY</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> DARK_GRAY</pre>
<div class="block">The CustomColor dark gray.  In the default sRGB space.</div>
</li>
</ul>
<a id="black">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>black</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> black</pre>
<div class="block">The CustomColor black.  In the default sRGB space.</div>
</li>
</ul>
<a id="BLACK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLACK</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> BLACK</pre>
<div class="block">The CustomColor black.  In the default sRGB space.</div>
</li>
</ul>
<a id="red">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>red</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> red</pre>
<div class="block">The CustomColor red.  In the default sRGB space.</div>
</li>
</ul>
<a id="RED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RED</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> RED</pre>
<div class="block">The CustomColor red.  In the default sRGB space.</div>
</li>
</ul>
<a id="pink">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pink</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> pink</pre>
<div class="block">The CustomColor pink.  In the default sRGB space.</div>
</li>
</ul>
<a id="PINK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PINK</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> PINK</pre>
<div class="block">The CustomColor pink.  In the default sRGB space.</div>
</li>
</ul>
<a id="orange">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>orange</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> orange</pre>
<div class="block">The CustomColor orange.  In the default sRGB space.</div>
</li>
</ul>
<a id="ORANGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ORANGE</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> ORANGE</pre>
<div class="block">The CustomColor orange.  In the default sRGB space.</div>
</li>
</ul>
<a id="yellow">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>yellow</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> yellow</pre>
<div class="block">The CustomColor yellow.  In the default sRGB space.</div>
</li>
</ul>
<a id="YELLOW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>YELLOW</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> YELLOW</pre>
<div class="block">The CustomColor yellow.  In the default sRGB space.</div>
</li>
</ul>
<a id="green">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>green</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> green</pre>
<div class="block">The CustomColor green.  In the default sRGB space.</div>
</li>
</ul>
<a id="GREEN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GREEN</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> GREEN</pre>
<div class="block">The CustomColor green.  In the default sRGB space.</div>
</li>
</ul>
<a id="magenta">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>magenta</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> magenta</pre>
<div class="block">The CustomColor magenta.  In the default sRGB space.</div>
</li>
</ul>
<a id="MAGENTA">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAGENTA</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> MAGENTA</pre>
<div class="block">The CustomColor magenta.  In the default sRGB space.</div>
</li>
</ul>
<a id="cyan">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cyan</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> cyan</pre>
<div class="block">The CustomColor cyan.  In the default sRGB space.</div>
</li>
</ul>
<a id="CYAN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CYAN</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> CYAN</pre>
<div class="block">The CustomColor cyan.  In the default sRGB space.</div>
</li>
</ul>
<a id="blue">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>blue</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> blue</pre>
<div class="block">The CustomColor blue.  In the default sRGB space.</div>
</li>
</ul>
<a id="BLUE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BLUE</h4>
<pre>public static final&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a> BLUE</pre>
<div class="block">The CustomColor blue.  In the default sRGB space.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(int,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CustomColor</h4>
<pre>public&nbsp;CustomColor&#8203;(int&nbsp;r,
                   int&nbsp;g,
                   int&nbsp;b)</pre>
<div class="block">Create a Custom color.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>r</code> - red [0-255]</dd>
<dd><code>g</code> - green [0-255]</dd>
<dd><code>b</code> - blue [0-255]</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(int,int,int,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CustomColor</h4>
<pre>public&nbsp;CustomColor&#8203;(int&nbsp;r,
                   int&nbsp;g,
                   int&nbsp;b,
                   boolean&nbsp;n)</pre>
<div class="block">Create a Custom color with isNone.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>r</code> - red [0-255]</dd>
<dd><code>g</code> - green [0-255]</dd>
<dd><code>b</code> - blue [0-255]</dd>
<dd><code>n</code> - isNone</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CustomColor</h4>
<pre>public&nbsp;CustomColor&#8203;(boolean&nbsp;none)</pre>
<div class="block">Create a Custom color from boolean.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>none</code> - isNone</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="isNone()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNone</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isNone()</pre>
<div class="block">check whether the color is none or not.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the color is "none", false if not empty</dd>
</dl>
</li>
</ul>
<a id="setNone(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNone</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setNone&#8203;(boolean&nbsp;none)</pre>
<div class="block">set the new value of isNone.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>none</code> - new value of isNone</dd>
</dl>
</li>
</ul>
<a id="decode(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decode</h4>
<pre class="methodSignature">public static&nbsp;<a href="CustomColor.html" title="class in org.david.geo.style">CustomColor</a>&nbsp;decode&#8203;(java.lang.String&nbsp;nm)</pre>
<div class="block">decode a CustomColor from a Hexadecimal String</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nm</code> - string to decode</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>new custom color from the string</dd>
</dl>
</li>
</ul>
<a id="equals(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;equals&#8203;(java.lang.Object&nbsp;obj)</pre>
<div class="block">compare two CustomColor.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.awt.Color</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>obj</code> - second CustomColor</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the two objects are equals</dd>
</dl>
</li>
</ul>
<a id="hashCode()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;hashCode()</pre>
<div class="block">return hashcode of CustomColor.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.awt.Color</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>hashcode number</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
